For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all enrolment intents
      • POSTCreate a new enrolment intent
      • GETRetrieve an enrolment intent
      • PUTUpdate policy configuration enrolment intent
      • POSTConfirm an enrolment intent
    • API Errors
Get access
LogoLogo
API ReferenceEnrolment Intents

Confirm an enrolment intent

POST
/enrolment_intents/:enrolment_intent_id/confirm
POST
/enrolment_intents/:enrolment_intent_id/confirm
$curl -X POST https://test.api.kota.io/enrolment_intents/ei_3b1333d87d9d4fd6ad83ba7f6b0e951a/confirm \
> -H "Authorization: Bearer <apiKey>"

Confirms an enrolment_intent that is in PendingConfirmation status. This transitions the enrolment intent to Enrolling status and initiates the enrolment process with the insurance provider.

Previous

Update policy configuration enrolment intent

Next

Replay an event

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

enrolment_intent_idstringRequiredformat: "ei_.+"

Errors

400
Bad Request Error
404
Not Found Error